org.apache.ignite.internal.visor.binary

## Class VisorBinaryMetadata

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.binary.VisorBinaryMetadata

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBinaryMetadata
    extends VisorDataTransferObject

Binary object metadata to show in Visor.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorBinaryMetadata()` Default constructor.
`VisorBinaryMetadata(IgniteBinary binary, BinaryType binaryType)` Default constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`@Nullable String` `getAffinityKeyFieldName()`
`Collection<VisorBinaryMetadataField>` `getFields()`
`int` `getTypeId()`
`String` `getTypeName()`
`static List<VisorBinaryMetadata>` `list(IgniteBinary binary)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBinaryMetadata

    public VisorBinaryMetadata()

Default constructor.

#### VisorBinaryMetadata

    public VisorBinaryMetadata(IgniteBinary binary,
                               BinaryType binaryType)

Default constructor.

### Method Detail

#### list

    public static List<VisorBinaryMetadata> list(IgniteBinary binary)

Parameters:
  `binary` - Binary objects.
Returns:
  List of data transfer objects for binary objects metadata.

#### getTypeName

    public String getTypeName()

Returns:
  Type name.

#### getTypeId

    public int getTypeId()

Returns:
  Type Id.

#### getFields

    public Collection<VisorBinaryMetadataField> getFields()

Returns:
  Fields list.

#### getAffinityKeyFieldName

    @Nullable
    public @Nullable String getAffinityKeyFieldName()

Returns:
  Affinity key field name.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021